AbstractUrlMappingInfo (Grails 6.0.0)

Package: org.grails.web.mapping

## [Java] Class AbstractUrlMappingInfo

- org.grails.web.mapping.AbstractUrlMappingInfo

- All Implemented Interfaces and Traits:
    UrlMappingInfo

      @java.lang.SuppressWarnings({"rawtypes", "unchecked"})
      public abstract class AbstractUrlMappingInfo
      extends java.lang.Object
      implements UrlMappingInfo

  Abstract super class providing pass functionality for configuring a UrlMappingInfo.

  Authors:
    Graeme Rocher
  Since:
    1.2

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.util.Map<java.lang.String, java.lang.Object>` | `params` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public int` | `compare(java.lang.Object leftKey, java.lang.Object rightKey)`
    `` | `public void` | `configure(GrailsWebRequest webRequest)`
    `` | `protected java.lang.String` | `evaluateNameForValue(java.lang.Object value)`
    `` | `protected java.lang.String` | `evaluateNameForValue(java.lang.Object value, GrailsWebRequest webRequest)`
    `` | `public java.util.Map<java.lang.String, java.lang.Object>` | `getParams()`
    `` | `public java.lang.Object` | `getRedirectInfo()` The redirect information should be a String or a Map.
    `` | `protected void` | `populateParamsForMapping(GrailsWebRequest webRequest)` Populates request parameters for the given UrlMappingInfo instance using the GrailsWebRequest
    `` | `public void` | `setParams(java.util.Map newParams)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private java.util.Map<java.lang.String, java.lang.Object> params

  - ### Method Detail

    - #### public int compare(java.lang.Object leftKey, java.lang.Object rightKey)

    - #### public void configure(GrailsWebRequest webRequest)

    - #### protected java.lang.String evaluateNameForValue(java.lang.Object value)

    - #### protected java.lang.String evaluateNameForValue(java.lang.Object value, GrailsWebRequest webRequest)

    - #### public java.util.Map<java.lang.String, java.lang.Object> getParams()

    - #### public java.lang.Object getRedirectInfo()

      The redirect information should be a String or a Map. If it is a String that string is the URI to redirect to. If it is a Map, that Map may contain any entries supported as arguments to the dynamic redirect(Map) method on a controller.

      Returns:
        redirect information for this url mapping, null if no redirect is specified

    - #### protected void populateParamsForMapping(GrailsWebRequest webRequest)

      Populates request parameters for the given UrlMappingInfo instance using the GrailsWebRequest

      Parameters:
        `webRequest` - The Map instance
      See Also:
        GrailsWebRequest

    - #### public void setParams(java.util.Map newParams)